npm 6.1 and 6.2 occur Permissions 0644 id_rsa are too open on windows

cli

(Filenwind) #1

What I Wanted to Do

I have a script in package.json

{
  "scripts": {
    "pull": "git pull"
  },
}

My id_rsa is store at “C:\Users\Administrator.ssh\id_rsa” and has no password

I expect after “npm run pull” will output “Already up to date.”

What Happened Instead

@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@         WARNING: UNPROTECTED PRIVATE KEY FILE!          @
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
Permissions 0644 for '/cygdrive/c/Users/Administrator/.ssh/id_rsa' are too open.
It is recommended that your private key files are NOT accessible by others.
This private key will be ignored.
bad permissions: ignore key: /cygdrive/c/Users/Administrator/.ssh/id_rsa
Enter passphrase for key '/cygdrive/c/Users/Administrator/.ssh/id_rsa':
fPermission denied (publickey).atal: Could not read from remote repository.

Reproduction Steps

Use npm to run git command with NPM 6.1.0 / 6.2.0 on windows

Details

With NPM 5.6.0, it works fine.

This issue appear after I upgrade NPM to 6.1.0 or 6.2.0

Platform Info

windows 8

$ npm --versions
{ 'react-startkit': '1.0.5',
  npm: '6.2.0',
  ares: '1.10.1-DEV',
  cldr: '32.0',
  http_parser: '2.7.0',
  icu: '60.1',
  modules: '57',
  nghttp2: '1.25.0',
  node: '8.10.0',
  openssl: '1.0.2n',
  tz: '2017c',
  unicode: '10.0',
  uv: '1.19.1',
  v8: '6.2.414.50',
  zlib: '1.2.11' }
$ node -p process.platform
win32

(Kat Marchán) #2

Triage note: Moving this to #support. In general, we do not provide support for Cygwin.


(Filenwind) #3

I’m sorry, all the modules doesn’t change except npm from 5.6.0 to 6.1.0, So I guess it’s problem of npm.

But for now, I still can’t figure out why this happened…Can you give me some suggestion?

Thank you~!

BTW, I’m using NVM-windows to switch my node / npm version, it’s some clue?


(system) #4

This topic was automatically closed 90 days after the last reply. New replies are no longer allowed.